For the complete documentation index, see llms.txt. This page is also available as Markdown.

Transform documents APIs

This feature is only enabled on certain environments and tenants. Contact support for more information about this feature.

Authorization

Upload transform document file

POST /{tenant}/api/v4/transforms/{transform_folder}

Add a new transform document to the specified folder based upon the transform filename. The document will be checked against the Validate transform endpoint. If the transform already exists, a new version of the transform will be added.

Path parameters

Key
Value

tenant *

Tenant is part of your sign-in URL and also available in the User menu.

transform_folder *

Target folder name.

Request body

Content-Type: multipart/form-data

Key
Value

file

Transform document. The filename must end with _transform.json.

Sample request and response

HTTP 200 OK Content-Type: application/json

Add transform with document content

Add a new transform to the specified folder with the transform name using the content transform document that is included in the request body. The document will be checked against the Validate transform endpoint. If the transform already exists a new version of the transform will be created.

Path parameters

Key
Value

tenant *

Tenant is part of your sign-in URL and also available in the User menu.

transform_folder *

Target folder.

transform *

Target transform document name.

Request body

Content-Type: application/json

Key
Value

transform_content

The entire contents of the in a single string. Ensure the content is properly escaped. Content within transform definitions such as input_body_transform or output_body_transform may need to be double escaped, e.g. " becoming \".

Sample request and response

HTTP 200 OK Content-Type: application/json

Validate transform

This API performs the following validations:

  • The transform is valid JSON.

  • transform_type is present and valid.

  • Other checks are specific to the transform being used.

Path parameters

Key
Value

tenant *

Tenant is part of your sign-in URL and also available in the User menu.

Request body

Content-Type: application/json

Key
Value

transform_content

in a single string. Ensure the content is properly escaped. Content within transform definitions such as input_body_transform or output_body_transform may need to be double escaped, e.g. " becoming \".

Sample request and response

HTTP 200 OK Content-Type: application/json

List transforms

Path parameters

Key
Value

tenant *

Tenant is part of your sign-in URL and also available in the User menu.

folder *

Folder associated with the request.

Request body

Content-Type: application/json

Key
Value

page

Page number of the list to get.

pageSize

Number of records per page.

sort

String defining the sort order.

Example: -updated

search

Array of search filter objects. Search filter objects can include: field Name of the field to filter.

value Value of the field to filter.

operator Applies to numeric properties.

Example 1: {"field": "name", "name": "myfoldername"} Example 2: {"field": "isstarred", "isstarred": "true"}

Sample request and response

HTTP 200 OK Content-Type: application/json

Get transform document

Path parameters

Key
Value

tenant *

Tenant is part of your sign-in URL and also available in the User menu.

transform_folder *

Folder associated with the request.

transform *

Transform document associated with the request.

Sample request and response

HTTP 200 OK Content-Type: application/json

Delete transform

Path parameters

Key
Value

tenant *

Tenant is part of your sign-in URL and also available in the User menu.

transform_folder *

Folder associated with the request.

transform *

Transform document associated with the request.

Sample request and response

HTTP 200 OK Content-Type: application/json

Last updated